packer {
  required_plugins {
    amazon = {
      version = ">= 0.0.2"
      source  = "github.com/hashicorp/amazon"
    }
    ansible = {
      version = "~> 1"
      source = "github.com/hashicorp/ansible"
    }
  }
}

build {
  name = "{{ target }}-image-builder"
  sources = {{ sources_list }}

  provisioner "ansible" {
    playbook_file = target_playbook.yml
  }
}
